﻿<UserControl x:Class="TouchAndTeachWindows.Draw.DrawArea"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             mc:Ignorable="d" 
             d:DesignHeight="300" d:DesignWidth="300" ManipulationDelta="UserControl_ManipulationDelta">
    <Grid Name="DrawingArea" SizeChanged="DrawingArea_SizeChanged" TouchDown="DrawingArea_TouchDown" TouchMove="DrawingArea_TouchMove" TouchUp="DrawingArea_TouchUp" TouchLeave="DrawingArea_TouchUp"  
          MouseLeftButtonDown="DrawingArea_MouseLeftButtonDown" MouseMove="DrawingArea_MouseMove" MouseLeftButtonUp="DrawingArea_MouseLeftButtonUp" MouseLeave="DrawingArea_MouseLeftButtonUp"
          MouseWheel="DrawingArea_MouseWheel"
          IsManipulationEnabled="True"
          Background="#00000000">
        <Image Name="RenderedImage" Stretch="None" VerticalAlignment="Top" HorizontalAlignment="Left" SizeChanged="DrawingArea_SizeChanged" />
        <!--<Grid.Background>
            <DrawingBrush ViewboxUnits="Absolute" ViewportUnits="RelativeToBoundingBox" Stretch="None" AlignmentX="Left" AlignmentY="Top">
                <DrawingBrush.Drawing>
                    <DrawingGroup x:FieldModifier="public" x:Name="drawingGroup">
                        <GeometryDrawing RenderOptions.CachingHint="Cache" RenderOptions.EdgeMode="Aliased"  RenderOptions.BitmapScalingMode="LowQuality">
                            <GeometryDrawing.Geometry>
                                <GeometryGroup x:FieldModifier="public" x:Name="geometryGroup" />
                            </GeometryDrawing.Geometry>
                            <GeometryDrawing.Pen>
                                <Pen Thickness="20" Brush="Black" LineJoin="Round" StartLineCap="Round" EndLineCap="Round" />
                            </GeometryDrawing.Pen> 
                        </GeometryDrawing>
                    </DrawingGroup>
                </DrawingBrush.Drawing>
            </DrawingBrush>
        </Grid.Background>-->
    </Grid>
</UserControl>
